LIVE-BUILD(1)

NOMBRE
live-build - Componentes de Construcción del Sistema en vivo

SINOPSIS
lb binary-hooks [--verbose]

lb binary-hooks [--help]
lb binary-hooks [--version]

DESCRIPCIÓN
live-build contiene los componentes para construir un sistema en vivo a partir de un directorio de configuración.

El comando lb binary_hooks ejecuta los scripts gancho después de la etapa «binary».

ESPECIFICACIÓN
lb binary-hooks ejecuta todos los scripts gancho que se encuentran en el directorio config/hooks dentro del directorio de configuración.

No es necesario que los scripts gancho tengan un propietario o permisos especiales. Ya que lb binary-hooks los convertirá en ejecutables automáticamente.

Los scripts gancho deben tener el sufijo *.hook o *.hook.binary.

Los scripts gancho con el sufijo *.hook se ejecutan en primer lugar, los scripts gancho con el sufijo *.hook.binary se ejecutan en segundo lugar.

lb binary-hooks ejecuta los scripts gancho en orden alfanumérico. Si uno de estos scripts tiene que ser ejecutado después de otro, lo ideal es utilizar números como prefijos (nnnn, a partir de 0001) para asegurarse el orden de ejecución correcto.

lb binary-hooks copia los scripts gancho dentro del directorio binary/live-build. Estos se ejecutan desde dentro del directorio «binary» y pueden leer el directorio de configuración en live-build/config dentro del directorio «binary».

Advertencia: Los scripts gancho no son ejecutados dentro del directorio «chroot» sino en el sistema anfitrión dentro del directorio «binary». Estos tienen privilegios de superusuario y acceso a todos los recursos del sistema anfitrión (dispositivos, sistemas de ficheros, redes, etc.).

OPCIONES

--verbose
    establece la opción verbose (por defecto: False).

-h, --help
    muestra el mensaje de ayuda y sale.

--version
    muestra el número de versión del programa y sale.

FICHEROS

config/hooks/*.hook:
    scripts gancho genéricos.

config/hooks/*.hook.binary:
    scripts gancho específicos para la etapa «binary».

binary:
    directorio en el que se ejecutan los scripts gancho.

binary/live-build/config:
    directorio de configuración montado en el directorio «binary» para ser leído por los scripts gancho.

binary/live-build:
    directorio en el que se copian los scripts gancho.

VER TAMBIÉN

lb-bootstrap-hooks(1)

lb-chroot-hooks(1)

lb-source-hooks(1)

PÁGINA WEB
Se puede encontrar más información acerca de live-build y el proyecto Live Systems en la página web <http://live-systems.org/> y en el manual en <http://live-systems.org/manual/>.

ERRORES
Se puede notificar los fallos enviando un informe de errores sobre el paquete live-build en el Bug Tracking System en <http://bugs.debian.org/> o escribiendo un mensaje a la lista de correo de Live Systems a la dirección <debian-live@lists.debian.org>.

AUTOR
live-build fue escrito por Daniel Baumann <mail@daniel-baumann.ch>.